# Readme

## Setup Preconditions

Create Namespace, ServiceAccount and RBAC:

```
kubectl create ns kubernetes-connector-infrastructure
kubectl create -n kubernetes-connector-infrastructure sa kubernetes-connector
kubectl apply -n kubernetes-connector-infrastructure -f resources/
```

Create API Key Secret

`kubectl create secret generic -n kubernetes-connector-infrastructure kubernetes-connector-apikey --from-file=apiKey=apiKey.txt`

## Deploy Kubernetes Connector

```
helm install -n kubernetes-connector-infrastructure -f values-cronjob-test.yaml kubernetes-connector-cronjob-test cronjob
helm install -n kubernetes-connector-infrastructure -f values-cronjob-prod.yaml kubernetes-connector-cronjob-prod cronjob
```

## Remove Kubernetes Connector

```
helm uninstall -n kubernetes-connector-infrastructure kubernetes-connector-cronjob-test
helm uninstall -n kubernetes-connector-infrastructure kubernetes-connector-cronjob-prod
```
